www.cendio.com

Bug 4502

Summary: Add a profile for Cinnamon
Product: ThinLinc Reporter: Karl Mikaelsson <derfian@cendio.se>
Component: Desktop environmentAssignee: Henrik Andersson <hean01@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: samuel@cendio.se
Version: trunkKeywords: relnotes, samuel_tester
Target Milestone: 4.2.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 4945    
Bug Blocks:    

Description From cendio 2012-12-07 11:32:45
Cinnamon is a desktop environment built on Gnome 3.

http://cinnamon.linuxmint.com/
------- Comment #1 From cendio 2013-02-06 16:11:04 -------
Here follows the most "found" solution to bring cinnamon onto Ubuntu 12.04:

sudo add-apt-repository ppa:gwendal-lebihan-dev/cinnamon-stable
sudo apt-get update
sudo apt-get install cinnamon

This will be my testcase due to Ubuntu 12.04 needs another Desktop Environment,
then the default available ones to work with ThinLinc..
------- Comment #2 From cendio 2013-02-06 16:48:31 -------
This is how it fails within a Xvnc session.

Window manager warning: Log level 32: could not find XKB extension.
Window manager warning: Log level 16: The program 'cinnamon' received an X
Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest (invalid request code or no such operation)'.
  (Details: serial 250 error_code 1 request_code 145 minor_code 25)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

gnome-session[5288]: WARNING: App 'cinnamon2d.desktop' respawning too quickly
gnome-session[5288]: WARNING: Unable to determine session: Unable to lookup
session information for process '5288'
gnome-session[5288]: CRITICAL: We failed, but the fail whale is dead. Sorry....
------- Comment #3 From cendio 2013-02-06 16:52:06 -------
(In reply to comment #2)
> This is how it fails within a Xvnc session.
> 
> Window manager warning: Log level 32: could not find XKB extension.
> Window manager warning: Log level 16: The program 'cinnamon' received an X
> Window System error.
> This probably reflects a bug in the program.
> The error was 'BadRequest (invalid request code or no such operation)'.
>   (Details: serial 250 error_code 1 request_code 145 minor_code 25)
>   (Note to programmers: normally, X errors are reported asynchronously;
>    that is, you will receive the error a while after causing it.
>    To debug your program, run it with the GDK_SYNCHRONIZE environment
>    variable to change this behavior. You can then get a meaningful
>    backtrace from your debugger if you break on the gdk_x_error() function.)
> 
> gnome-session[5288]: WARNING: App 'cinnamon2d.desktop' respawning too quickly
> gnome-session[5288]: WARNING: Unable to determine session: Unable to lookup
> session information for process '5288'
> gnome-session[5288]: CRITICAL: We failed, but the fail whale is dead. Sorry....

Same error regarding if i launch cinnamon2d or cinnamon.
------- Comment #4 From cendio 2013-02-08 08:28:34 -------
Cinnamon is a fork of gnome-shell which also is not supported by ThinLinc so my
suggestions is to consider that we shouldn't support this DE due to its
inherited incompatibilities for now.
------- Comment #5 From cendio 2013-02-08 13:03:29 -------
Installed tigervnc-server on fedora which is built against a later version of X
then ThinLinc build does, started up a cinnamon session which works absolutly
fine. Its pretty decent performance, some window transitions are slow but it
works great.

This means that we cant report this upstream and its probably a problem that is
solved when we upgrade the X source in our buildsystem.
------- Comment #6 From cendio 2013-05-24 10:27:37 -------
Works fine now with the new X server.
------- Comment #7 From cendio 2013-12-13 13:17:55 -------
Profile added in commit 28201.
------- Comment #8 From cendio 2013-12-13 13:19:26 -------
(In reply to comment #7)
> Profile added in commit 28201.

Tested using Cinnamon 2.0 on Fedora 19
------- Comment #9 From cendio 2013-12-18 11:14:33 -------
Same procedure as last time. The actual images were never committed. ;)
------- Comment #10 From cendio 2013-12-19 13:37:17 -------
We also have bug 4945. Perhaps it's a bad idea to ship this profile stanza
until that bug is fixed?
------- Comment #11 From cendio 2013-12-19 13:44:29 -------
(In reply to comment #10)
> We also have bug 4945. Perhaps it's a bad idea to ship this profile stanza
> until that bug is fixed?

Works for me on my workstation.
------- Comment #12 From cendio 2013-12-19 13:45:26 -------
(In reply to comment #11)
> (In reply to comment #10)
> > We also have bug 4945. Perhaps it's a bad idea to ship this profile stanza
> > until that bug is fixed?
> 
> Works for me on my workstation.

used as in the same test used in Comment #8
------- Comment #13 From cendio 2014-01-21 11:06:45 -------
(In reply to comment #10)
> We also have bug 4945. Perhaps it's a bad idea to ship this profile stanza
> until that bug is fixed?

Retested with an empty home directory on bug 4945 which solved the problem.
------- Comment #14 From cendio 2014-04-15 17:29:50 -------
Looks good